<?php


require_once("syncinclude.php");

$return=3;
if (auth())
{
	if (intval($_POST["action"]) == 1 && intval($_POST['KeyEigenschaftWert']))
	{
		$return = 0;
		
		$EigenschaftWert->kEigenschaftWert = intval($_POST["KeyEigenschaftWert"]);
		$EigenschaftWert->kEigenschaft = intval($_POST["KeyEigenschaft"]);
		$EigenschaftWert->fAufpreis = floatval($_POST["Aufpreis"]);
		$EigenschaftWert->cName = realEscape($_POST["Name"]);

		//hole einstellungen
		$cur_query = eS_execute_query("select languages_id, tax_class_id, tax_zone_id from eazysales_einstellungen");
		$einstellungen = go_db_fetch_object($cur_query);
		
		$items_options_id = getFremdEigenschaft($EigenschaftWert->kEigenschaft);
		if ($items_options_id>0)
		{
			//schaue, ob dieser EigenschaftsWert bereits global existiert f�r diese Eigenschaft!!
			$cur_query = eS_execute_query("select items_options_values.items_options_values_id from items_options_values, items_options_values_to_items_options where items_options_values_to_items_options.items_options_id=$items_options_id and items_options_values_to_items_options.items_options_values_id=items_options_values.items_options_values_id and items_options_values.language_id=$einstellungen->languages_id and items_options_values.items_options_values_name=\"$EigenschaftWert->cName\"");
			$options_values = go_db_fetch_object($cur_query);
			
			if (!$options_values->items_options_values_id)
			{
				//erstelle diesen Wert global
				//hole max PK
				$cur_query = eS_execute_query("select max(items_options_values_id) from items_options_values");
				$max_id_arr = go_db_fetch_row($cur_query);
				$options_values->items_options_values_id = $max_id_arr[0]+1;
				eS_execute_query("insert into items_options_values (items_options_values_id,language_id,items_options_values_name) values ($options_values->items_options_values_id,$einstellungen->languages_id,\"$EigenschaftWert->cName\")");
				
				//erstelle leere description f�r alle anderen Sprachen
				$sonstigeSprachen = getSonstigeSprachen($einstellungen->languages_id);
				if (is_array($sonstigeSprachen))
				{
					foreach ($sonstigeSprachen as $sonstigeSprache)
					{
						eS_execute_query("insert into items_options_values (items_options_values_id,language_id,items_options_values_name) values ($options_values->items_options_values_id,$sonstigeSprache,\"$EigenschaftWert->cName\")");
					}
				}
				
				//erstelle verkn�pfung zwischen wert und eig
				eS_execute_query("insert into items_options_values_to_items_options (items_options_id,items_options_values_id) values($items_options_id,$options_values->items_options_values_id)");
			}
		
			//erstelle item_attribute
			$kArtikel = getEigenschaftsArtikel($EigenschaftWert->kEigenschaft);
			if ($kArtikel>0)
			{
				$items_id = getFremdArtikel($kArtikel);
				if ($items_id>0)
				{
					//hole items_tax_class_id
					$cur_query = eS_execute_query("select items_tax_class_id from items where items_id=".$items_id);
					$cur_tax = go_db_fetch_object($cur_query);
					$Aufpreis = ($EigenschaftWert->fAufpreis/(100+get_tax($cur_tax->items_tax_class_id)))*100;
					eS_execute_query("insert into items_characteristics (items_id,options_id,options_values_id,options_values_price,price_prefix) values($items_id,$items_options_id,$options_values->items_options_values_id,$Aufpreis,\"+\")");
					$query = eS_execute_query("select LAST_INSERT_ID()");
					$last_attribute_id_arr = go_db_fetch_row($query);					
					setMappingEigenschaftsWert($EigenschaftWert->kEigenschaftWert, $last_attribute_id_arr[0], $kArtikel);
				}
			}
		}
 	}
	else
		$return=5;
}

echo($return);
logge($return);
?>